Bug 193768 - CONFIG_DEBUG_SPINLOCK enable causes IBM x460 to panic
CONFIG_DEBUG_SPINLOCK enable causes IBM x460 to panic
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-01 10:18 EDT by Prarit Bhargava
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-28 14:38:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prarit Bhargava 2006-06-01 10:18:49 EDT
Description of problem:

CONFIG_DEBUG_SPINLOCK enable causes IBM x460 to panic.

Version-Release number of selected component (if applicable): FC5 up to current
rawhide


How reproducible: 100%


Steps to Reproduce:
1. Boot any kernel from FC5 up to the latest rawhide

  
Actual results:

Lots of 
Modules linked in: ext3 jbd aacraid sd_mod scsi_mod
Pid: 3637, comm: kstopmachine Not tainted 2.6.15-1.2054_FC5 #1
RIP: 0010:[<ffffffff802050fc>] <ffffffff802050fc>{_raw_write_lock+133}
RSP: 0018:ffff81030e88def8  EFLAGS: 00000086
RAX: 00000000b2fd9dfc RBX: ffffffff80523e80 RCX: 00000000e0c97764
RDX: 00000000000000d3 RSI: 0000000000000292 RDI: 0000000000000001
RBP: 00000000000b18cf R08: ffff81030e88de58 R09: ffffffff8015a480
R10: ffffffff803647ad R11: ffff81019f067e58 R12: 0000000000000001
R13: 0000000000000000 R14: 0000000000000001 R15: ffffffff80145ca3
FS:  0000000000000000(0000) GS:ffff810406d74d40(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000003397e2e728 CR3: 0000000000101000 CR4: 00000000000006e0
Process kstopmachine (pid: 3637, threadinfo ffff81030e88c000, task ffff81019f0677e0)
Stack: ffff81019f067e58 ffff81019f0677e0 ffff810400011d40 ffffffff80135fc1 
       0000000000000004 0000000000000000 0000000000000002 ffff81019e6d7e78 
       0000000000000e34 0000000000000296 
Call Trace: <ffffffff80135fc1>{do_exit+1266} <ffffffff8010b8ed>{child_rip+15}
       <ffffffff80145ca3>{keventd_create_kthread+0}
<ffffffff80339fce>{thread_return+0}
       <ffffffff801573ed>{stopmachine+0} <ffffffff8010b8de>{child_rip+0}

Code: 0f 94 c0 84 c0 75 76 f0 81 03 00 00 00 01 bf 01 00 00 00 e8 
console shuts up ...
 <3>Debug: sleeping function called from invalid context at include/linux/rwsem.h:43
NMI Watchdog detected LOCKUP on CPU 3

messages

Expected results: Shouldn't see these


Additional info: It could be that the DEBUG_SPINLOCK picked up on a spinlock
that is being held for a long time on the x460.   Or, it could be related to BZ
183364 ...

P.
Comment 1 Konrad Rzeszutek 2006-07-31 15:30:27 EDT
Hey Ingo,

Any thoughts on what might be the problem?
Comment 2 Konrad Rzeszutek 2007-02-28 14:38:12 EST
Closing as this is not a problem anymore.

Note You need to log in before you can comment on or make changes to this bug.